/*
 * xtype.h
 *
 * x-kernel v3.3
 *
 * Copyright (c) 1993,1991,1990,1996  Arizona Board of Regents
 *
 * $Revision: 1.2 $
 * $Date: 1996/01/29 20:25:55 $
 */

#ifndef xtype_h
#define xtype_h

#include <sys/types.h>

typedef unsigned int bool;

/* upi internal error codes */
typedef enum xkret { XK_SUCCESS = 0, XK_FAILURE = -1 } XkReturn;

typedef int XkHandle;
#define XMSG_NULL_HANDLE    0
#define XMSG_ERR_HANDLE     -1
#define XMSG_ERR_WOULDBLOCK -2

#if defined(__STDC__) || defined(__GNUC__)
#define VOID void
#else
#define VOID char
#endif

#define XK_MAX_HOST_LEN 6

#ifdef __STDC__

typedef int  (*Pfi)(void);
typedef void (*Pfv)(void);

#else

typedef int  (*Pfi)();
typedef void (*Pfv)();

#endif

#endif /* ! xtype_h */
